Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988429 - repoquery needs to able to use a specified cache directory
Summary: repoquery needs to able to use a specified cache directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 19
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 985681
TreeView+ depends on / blocked
 
Reported: 2013-07-25 15:06 UTC by Orion Poplawski
Modified: 2013-08-09 17:03 UTC (History)
4 users (show)

Fixed In Version: yum-utils-1.1.31-17.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 17:03:15 UTC


Attachments (Terms of Use)
repoquery: add --installroot option. BZ 988429 (deleted)
2013-07-29 12:41 UTC, Zdeněk Pavlas
no flags Details | Diff

Description Orion Poplawski 2013-07-25 15:06:09 UTC
Description of problem:

mock uses repoquery to generate a list of available packages for a given chroot.  But repoquery currently cannot make use of the yum cache for the chroot and uses the hosts chroot.  We need to be able to specify the yum cache directory to use, either via --installroot (preferred, because this is how mock calls yum) or a --cachedir option.

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-15.fc19.noarch

Comment 1 Zdeněk Pavlas 2013-07-29 12:41:35 UTC
Created attachment 779867 [details]
repoquery: add --installroot option. BZ 988429

Comment 2 Orion Poplawski 2013-07-29 20:43:48 UTC
Looks good to me, thanks.

Comment 3 Fedora Update System 2013-08-07 13:22:13 UTC
yum-utils-1.1.31-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-17.fc19

Comment 4 Fedora Update System 2013-08-07 23:09:59 UTC
Package yum-utils-1.1.31-17.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-utils-1.1.31-17.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14431/yum-utils-1.1.31-17.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-08-09 17:03:15 UTC
yum-utils-1.1.31-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.